Package com.emc.documentum.rest.model

# Class Lifecycle

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.SysObject
com.emc.documentum.rest.model.Lifecycle

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class Lifecycle extends SysObject
Lifecycle resource

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Lifecycle.EntryCriteria`
  `static class`
  `Lifecycle.IdAble`
  `static enum`
  `Lifecycle.ImplementationType`
  `static class`
  `Lifecycle.Module`
  `static class`
  `Lifecycle.Procedure`
  `static enum`
  `Lifecycle.Status`
  `static class`
  `Lifecycle.TypeInclusion`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DM_POLICY`
  `static final String`
  `OPERATION_DEMOTE`
  `static final String`
  `OPERATION_PROMOTE`
  `static final String`
  `OPERATION_RESUME`
  `static final String`
  `OPERATION_SUSPEND`

  ### Fields inherited from class com.emc.documentum.rest.model.SysObject

  `DEFAULT_FIELDS, INTERNAL_FIELDS, MANDATORY_FIELDS, OPTIONAL_FIELDS`

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addKeyword(String keyword)`
  `void`
  `addState(LifecycleState state)`
  `void`
  `addVersionLabel(String versionLabel)`
  `List<String>`
  `getAliasSets()`
  `Lifecycle.Procedure`
  `getAppValidation()`
  `Date`
  `getCreated()`
  `String`
  `getId()`
  Get object ID of the persistent object
  `Lifecycle.ImplementationType`
  `getImplementationType()`
  `List<String>`
  `getKeywords()`
  `Date`
  `getModified()`
  `String`
  `getName()`
  `String`
  `getOwner()`
  `List<LifecycleState>`
  `getStates()`
  `Lifecycle.Status`
  `getStatus()`
  `String`
  `getStatusMessage()`
  `String`
  `getSubject()`
  `String`
  `getTitle()`
  `List<Lifecycle.TypeInclusion>`
  `getTypeInclusions()`
  `Lifecycle.Module`
  `getUserValidationService()`
  `List<String>`
  `getVersionLabels()`
  `void`
  `setAliasSets(List<String> aliasSets)`
  `void`
  `setAppValidation(Lifecycle.Procedure appValidation)`
  `void`
  `setCreated(Date created)`
  `void`
  `setId(String id)`
  Set object ID of the persistent object
  `void`
  `setImplementationType(Lifecycle.ImplementationType implementationType)`
  `void`
  `setKeywords(List<String> keywords)`
  `void`
  `setModified(Date modified)`
  `void`
  `setName(String name)`
  `void`
  `setOwner(String owner)`
  `void`
  `setStates(List<LifecycleState> states)`
  `void`
  `setStatus(int state)`
  `void`
  `setStatus(Lifecycle.Status state)`
  `void`
  `setStatusMessage(String statusMessage)`
  `void`
  `setSubject(String subject)`
  `void`
  `setTitle(String title)`
  `void`
  `setTypeInclusions(List<Lifecycle.TypeInclusion> typeInclusions)`
  `void`
  `setUserValidationService(Lifecycle.Module userValidationService)`
  `void`
  `setVersionLabels(List<String> versionLabels)`

  ### Methods inherited from class com.emc.documentum.rest.model.SysObject

  `addDcWriteUrl, getBindingLabel, getDcWriteUrls, getHref, getInternalFields, getMandatoryFields, getObjectAspects, getObjectLifecycle, getOptionalFields, getSharingParent, isDeepCopy, isIncludeBroken, isReplicateVdChildren, isRetainAcl, setBindingLabel, setDeepCopy, setHref, setIncludeBroken, setObjectAspects, setObjectLifecycle, setReplicateVdChildren, setRetainAcl, setSharingParent`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getMandatoryAttribute, getParentId, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OPERATION_PROMOTE

    public static final String OPERATION_PROMOTE
    See Also:
      - Constant Field Values

  - ### OPERATION_DEMOTE

    public static final String OPERATION_DEMOTE
    See Also:
      - Constant Field Values

  - ### OPERATION_SUSPEND

    public static final String OPERATION_SUSPEND
    See Also:
      - Constant Field Values

  - ### OPERATION_RESUME

    public static final String OPERATION_RESUME
    See Also:
      - Constant Field Values

  - ### DM_POLICY

    public static final String DM_POLICY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Lifecycle

    public Lifecycle()

- ## Method Details

  - ### getId

    public String getId()
    Description copied from class: `PersistentObject`
    Get object ID of the persistent object
    Overrides:
      `getId` in class `PersistentObject`
    Returns:
      ID

  - ### setId

    public void setId(String id)
    Description copied from class: `PersistentObject`
    Set object ID of the persistent object
    Overrides:
      `setId` in class `PersistentObject`
    Parameters:
      `id` - object ID

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getSubject

    public String getSubject()

  - ### setSubject

    public void setSubject(String subject)

  - ### getAliasSets

    public List<String> getAliasSets()

  - ### setAliasSets

    public void setAliasSets(List<String> aliasSets)

  - ### getTypeInclusions

    public List<Lifecycle.TypeInclusion> getTypeInclusions()

  - ### setTypeInclusions

    public void setTypeInclusions(List<Lifecycle.TypeInclusion> typeInclusions)

  - ### getKeywords

    public List<String> getKeywords()

  - ### setKeywords

    public void setKeywords(List<String> keywords)

  - ### addKeyword

    public void addKeyword(String keyword)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### getCreated

    public Date getCreated()

  - ### setCreated

    public void setCreated(Date created)

  - ### getModified

    public Date getModified()

  - ### setModified

    public void setModified(Date modified)

  - ### getImplementationType

    public Lifecycle.ImplementationType getImplementationType()

  - ### setImplementationType

    public void setImplementationType(Lifecycle.ImplementationType implementationType)

  - ### getVersionLabels

    public List<String> getVersionLabels()

  - ### setVersionLabels

    public void setVersionLabels(List<String> versionLabels)

  - ### addVersionLabel

    public void addVersionLabel(String versionLabel)

  - ### getStates

    public List<LifecycleState> getStates()

  - ### setStates

    public void setStates(List<LifecycleState> states)

  - ### addState

    public void addState(LifecycleState state)

  - ### getUserValidationService

    public Lifecycle.Module getUserValidationService()

  - ### setUserValidationService

    public void setUserValidationService(Lifecycle.Module userValidationService)

  - ### getAppValidation

    public Lifecycle.Procedure getAppValidation()

  - ### setAppValidation

    public void setAppValidation(Lifecycle.Procedure appValidation)

  - ### getStatus

    public Lifecycle.Status getStatus()

  - ### setStatus

    public void setStatus(Lifecycle.Status state)

  - ### setStatus

    public void setStatus(int state)

  - ### getStatusMessage

    public String getStatusMessage()

  - ### setStatusMessage

    public void setStatusMessage(String statusMessage)